Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gestionnaires
Class GestionnaireOuvrir

    java.lang.Object
      gestionnaires.GestionnaireOuvrir

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

    public class GestionnaireOuvrir

extends java.lang.Object
implements java.awt.event.ActionListener

Field Summary
`private int` | `action`
`private FenetrePrinc` | `fenetre`
`(package private) FiltreFichier` | `foo`
`(package private) FiltreFichier` | `ftxt`
`(package private) FiltreFichier` | `fxml`
`static int` | `OUVRIR_FILTRE`
`static int` | `OUVRIR_SORTIE`
`static int` | `OUVRIR_SOURCE`
`private javax.swing.JFileChooser` | `selectionneFichier`

Constructor Summary
`GestionnaireOuvrir(FenetrePrinc fenetre, int action)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent evt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OUVRIR_SOURCE

    public static final int OUVRIR_SOURCE

See Also:
  Constant Field Values

### OUVRIR_FILTRE

    public static final int OUVRIR_FILTRE

See Also:
  Constant Field Values

### OUVRIR_SORTIE

    public static final int OUVRIR_SORTIE

See Also:
  Constant Field Values

### selectionneFichier

    private javax.swing.JFileChooser selectionneFichier

### fenetre

    private FenetrePrinc fenetre

### action

    private int action

### ftxt

    FiltreFichier ftxt

### fxml

    FiltreFichier fxml

### foo

    FiltreFichier foo

Constructor Detail

### GestionnaireOuvrir

    public GestionnaireOuvrir(FenetrePrinc fenetre,
                              int action)

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD